Subject: Re: linux-next: manual merge of the drm-intel tree with the pci tree

From: Stephen Rothwell <[email-masked]>
Date: Tue, 9 Jul 2019 09:55:27 +1000

Hi all,

On Mon, 24 Jun 2019 13:53:52 +1000 Stephen Rothwell <[email-masked]> wrote:
>
> On Mon, 17 Jun 2019 13:20:27 +1000 Stephen Rothwell <[email-masked]> wrote:
> >
> > Today's linux-next merge of the drm-intel tree got a conflict in:
> > 
> >   drivers/gpu/drm/i915/i915_drv.h
> > 
> > between commit:
> > 
> >   151f4e2bdc7a ("docs: power: convert docs to ReST and rename to *.rst")
> > 
> > from the pci tree and commit:
> > 
> >   1bf676cc2dba ("drm/i915: move and rename i915_runtime_pm")
> > 
> > from the drm-intel tree.
> > 
> > I fixed it up (I just removed the struct definition from this files as
> > the latter did - its comment will need to be fixed up in its new file)
> > and can carry the fix as necessary. This is now fixed as far as linux-next
> > is concerned, but any non trivial conflicts should be mentioned to your
> > upstream maintainer when your tree is submitted for merging.  You may
> > also want to consider cooperating with the maintainer of the conflicting
> > tree to minimise any particularly complex conflicts.  
> 
> This is now a conflict between the drm and pci trees.

I am still getting this conflict (the commit ids may have changed).
Just a reminder in case you think Linus may need to know.

-- 
Cheers,
Stephen Rothwell